'use strict';

exports.__esModule = true;

var _gittar = require('gittar');

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }

const RGX = /\.(woff2?|ttf|eot|jpe?g|ico|png|gif|mp4|mov|ogg|webm)(\?.*)?$/i;
const isMedia = str => RGX.test(str);

exports.default = (archive, target) => new Promise((() => {
  var _ref = _asyncToGenerator(function* (resolve) {
    const keeps = [];
    yield (0, _gittar.extract)(archive, target, {
      filter(path, obj) {
        if (path.includes('/.github')) {
          return false;
        }

        obj.on('end', () => {
          if (obj.type === 'File' && !isMedia(obj.path)) {
            keeps.push(obj.absolute);
          }
        });
        return true;
      }
    });
    resolve(keeps);
  });

  return function (_x) {
    return _ref.apply(this, arguments);
  };
})());